// priority: 0

StartupEvents.registry('block', event => {

    event.create('stoneopolis:void_stone')
    .hardness(1.0)
    .displayName('Void Stone')		
    .tagBlock('minecraft:mineable/pickaxe')
    .tagBlock('minecraft:needs_stone_tool')
    .stoneSoundType()
    .fullBlock(true)

    event.create('stoneopolis:void_dirt')
    .hardness(1.0)
    .displayName('Void Dirt')		
    .tagBlock('minecraft:mineable/shovel')
    .tagBlock('minecraft:dirt')
    .gravelSoundType()
    .fullBlock(true)

    event.create('stoneopolis:fertile_stone')
    .hardness(0.5)
    .displayName('Fertile Stone')		
    .tagBlock('minecraft:mineable/pickaxe')
    .tagBlock('minecraft:dirt')
    .gravelSoundType()
    .fullBlock(true)

    event.create('stoneopolis:sandy_dirt')
    .hardness(1.0)
    .displayName('Sandy Soil')		
    .tagBlock('minecraft:mineable/shovel')
    .sandSoundType()
    .fullBlock(true)

    event.create('stoneopolis:concrete_dust_pile')
    .hardness(0.3)
    .displayName('Concrete Dust Pile')		
    .tagBlock('minecraft:mineable/shovel')
    .sandSoundType()
    .fullBlock(true)

    event.create('stoneopolis:empty_budding_stone')
    .hardness(0.5)
    .displayName('Empty Budding Stone')		
    .tagBlock('minecraft:mineable/pickaxe')
    .stoneSoundType()
    .fullBlock(true)

    event.create('stoneopolis:empty_budding_deepslate')
    .hardness(0.5)
    .displayName('Empty Budding Deepslate')		
    .tagBlock('minecraft:mineable/pickaxe')
    .soundType("deepslate")
    .fullBlock(true)

    event.create('stoneopolis:gear_box')
    .hardness(0.5)
    .displayName('Gear Box')		
    .tagBlock('minecraft:mineable/pickaxe')
    .woodSoundType()
    .fullBlock(true)

    event.create('stoneopolis:blank_colored_core_ore')
    .hardness(0.5)
    .displayName('Blank Colored Core Ore')		
    .tagBlock('minecraft:mineable/pickaxe')
    .stoneSoundType()
    .requiresTool(true)
    .fullBlock(true)

    event.create('stoneopolis:rainbow_bricks')
    .hardness(0.5)
    .displayName('Rainbow Bricks')		
    .tagBlock('minecraft:mineable/pickaxe')
    .stoneSoundType()
    .requiresTool(true)
    .fullBlock(true)

 })

BlockEvents.modification(event => {
    event.modify('minecraft:stone', block => {
        block.destroySpeed = 0.2
        block.requiresTool = false
    })
  })
 
 